
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/wazzock.zip" ),
}

local prefabs = { "green_cap_cooked" }

local start_inv = 
{
	"green_cap_cooked",
	"green_cap_cooked",
	"green_cap_cooked",
}

local fn = function(inst)
	
	-- choose which sounds this character will play
	inst.soundsname = "wilson"

	-- a minimap icon must be specified
	inst.MiniMapEntity:SetIcon( "wazzock.png" )

	-- todo: Add an example special power here.
	inst.components.health:SetMaxHealth( 150 )
	inst.components.hunger:SetMax( TUNING.WILSON_HUNGER* .5 )
	--inst.components.combat.damagemultiplier = 1
	inst.components.hunger:SetRate( TUNING.WILSON_HUNGER_RATE* .5 )
	inst.components.sanity:SetMax( TUNING.WILSON_SANITY* .5 )
	inst.components.locomotor.walkspeed = ( TUNING.WILSON_WALK_SPEED* 1.3 )
	inst.components.locomotor.runspeed = ( TUNING.WILSON_RUN_SPEED* 1.3 )
	
	inst:AddComponent( "insulator" )
	inst.components.insulator.insulation = ( TUNING.INSULATION_SMALL )
	
	inst.components.sanity.dapperness = ( -TUNING.DAPPERNESS_SMALL )
	
	inst.components.combat.min_attack_period = 0.1
	inst:AddTag("insomniac")
end

-----------------------------------------------------------------------

STRINGS.CHARACTERS.WAZZOCK = require "speech_wazzock"

-----------------------------------------------------------------------

return MakePlayerCharacter("wazzock", prefabs, assets, fn, start_inv)
